Package wx :: Class SplitterRenderParams

[frames | no frames]

## Type SplitterRenderParams

    object --+
             |
            SplitterRenderParams

This is just a simple struct used as a return value of `wx.RendererNative.GetSplitterParams` and contains some platform specific metrics about splitters.

> - widthSash: the width of the splitter sash.
> - border: the width of the border of the splitter window.
> - isHotSensitive: `True` if the splitter changes its appearance when the mouse is over it.

Method Summary
SplitterRenderParams | ``__init__`(self, widthSash_, border_, isSens_)` This is just a simple struct used as a return value of `wx.RendererNative.GetSplitterParams` and contains some platform specific metrics about splitters.
| `__del__(self)`

Property Summary
| `border`
| `isHotSensitive`
| `thisown`: The membership flag
| `widthSash`

Method Details

### __init__(self, widthSash_, border_, isSens_)
(Constructor)

This is just a simple struct used as a return value of `wx.RendererNative.GetSplitterParams` and contains some platform specific metrics about splitters.

> - widthSash: the width of the splitter sash.
> - border: the width of the border of the splitter window.
> - isHotSensitive: `True` if the splitter changes its appearance when the mouse is over it.

  Parameters:
    `widthSash_`
    (type=int)

    `border_`
    (type=int)

    `isSens_`
    (type=bool)

  Returns:
    SplitterRenderParams
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:20 2007 | http://epydoc.sf.net